AbstractObjectBinding
Keywords: uk.ac.ic.doc.automed.util.persist.AbstractObjectBinding class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util.persist
Class AbstractObjectBinding

    java.lang.Object
      com.sleepycat.bind.tuple.TupleBase
          com.sleepycat.bind.tuple.TupleBinding
              uk.ac.ic.doc.automed.util.persist.AbstractObjectBinding

All Implemented Interfaces:
  com.sleepycat.bind.EntryBinding

Direct Known Subclasses:
  CacheObjectBinding

    public abstract class AbstractObjectBinding

extends com.sleepycat.bind.tuple.TupleBinding

AbstractTupleBinding.java
Provides more developer-friendly methods than those defined in the `TupleBinding` parent class

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on August 3, 2006
  Department of Computing, Imperial College

Constructor Summary
`AbstractObjectBinding()` Creates a new instance of AbstractTupleBinding

Method Summary
`abstract java.lang.Object` | `entryToObject(com.sleepycat.bind.tuple.TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
`abstract PersistentKey` | `getKey(java.lang.Object object)` Return a `PersistentKey` object from the value object
`abstract void` | `objectToEntry(java.lang.Object object, com.sleepycat.bind.tuple.TupleOutput output)` Converts a key or data object to a tuple entry.

Methods inherited from class com.sleepycat.bind.tuple.TupleBinding
`entryToObject, getPrimitiveBinding, objectToEntry`

Methods inherited from class com.sleepycat.bind.tuple.TupleBase
`entryToInput, getTupleBufferSize, getTupleOutput, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractObjectBinding

    public AbstractObjectBinding()

  Creates a new instance of AbstractTupleBinding

Method Detail

### getKey

    public abstract PersistentKey getKey(java.lang.Object object)

  Return a `PersistentKey` object from the value object

### entryToObject

    public abstract java.lang.Object entryToObject(com.sleepycat.bind.tuple.TupleInput input)

  Constructs a key or data object from a `TupleInput` entry.

  Specified by:
    `entryToObject` in class `com.sleepycat.bind.tuple.TupleBinding`
  Parameters:
    `input` - is the tuple key or data entry.
  Returns:
    the key or data object constructed from the entry.

### objectToEntry

    public abstract void objectToEntry(java.lang.Object object,
                                       com.sleepycat.bind.tuple.TupleOutput output)

  Converts a key or data object to a tuple entry.

  Specified by:
    `objectToEntry` in class `com.sleepycat.bind.tuple.TupleBinding`
  Parameters:
    `object` - is the key or data object.
    `output` - is the tuple entry to which the key or data should be written.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD